Bug 1272785 - Enable org.eclipse.tm.terminal.connector.serial.feature
Enable org.eclipse.tm.terminal.connector.serial.feature
Product: Fedora
Classification: Fedora
Component: eclipse-tm-terminal (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2015-10-18 17:22 EDT by Gerard Ryan
Modified: 2017-04-02 11:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: eclipse-tm-terminal-4.2.0-2.fc27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-04-02 11:57:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2015-10-18 17:22:30 EDT
Description of problem:
Parts of eclipse-jbosstools require org.eclipse.tm.terminal.connector.serial.feature, which is currently not being built in the eclipse-tm-terminal package, with the reason (from spec file): '[...] gnu.io dep not available'.

The gnu.io classes are available in the rxtx package, but the relevant OSGi manifest headers don't seem to be there, so I assume that's why they can't be used in this context.

I'm not sure exactly what's needed here. Would injecting the right info into the manifest be enough? Would some other hack be better?

I also found this: rxtx.qbang.org/eclipse/downloads/, which seems to be some other kind of way of distributing it for eclipse (I guess the classes are all the same, but the manifest exports the gnu.io package as desired). Would we need to have an extra package for something like that to get what we need?
Comment 1 Mat Booth 2015-10-21 13:36:51 EDT
Hmm, if rxtx provides everything we need, then yeah it should simply be a case of adding the correct OSGI header into the rxtx jar manifests at build-time so the correct provides/requires can be generated.

A separate package should not be necessary
Comment 2 Jan Kurik 2016-02-24 08:51:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 3 Mat Booth 2017-04-02 11:57:07 EDT
This should now be fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.